# ink-syntax-highlight ![test](https://github.com/vsashyn/ink-syntax-highlight/workflows/test/badge.svg)

> Synax highlight component for [Ink](https://github.com/vadimdemedes/ink).

## Install

```
$ npm install ink-syntax-highlight
```

## Usage

```jsx
import React from 'react';
import {render, Text} from 'ink';
import SyntaxHighlight from 'ink-syntax-highlight';

render(<SyntaxHighlight code="const hello = 'world'" />);
```

## Props

### code

Type: `string`<br>

Source code to highlight.

### language

Type: `string`<br>

Language of the source code. If you don't set it yourself, this component will try to auto-detect it. [All languages of highlight.js](https://github.com/highlightjs/highlight.js/blob/master/SUPPORTED_LANGUAGES.md#supported-languages) are supported.

### theme

Type: [Theme](https://github.com/felixfbecker/cli-highlight/blob/main/src/theme.ts#L280)<br>

You can write your own theme and pass it as prop. [More info regarding custom theme](https://github.com/felixfbecker/cli-highlight/blob/main/README.md#themes).
